// 
// このコードは、https://demo.mescius.jp/diodocs/pdf のサンプルの一部として提供されています。
// © MESCIUS inc. All rights reserved.
// 
using System;
using System.IO;
using System.Drawing;
using GrapeCity.Documents.Text;
using GrapeCity.Documents.Pdf;
using GrapeCity.Documents.Pdf.Annotations;
using GrapeCity.Documents.Pdf.Actions;

namespace DsPdfWeb.Demos
{
    // 外部URLへのリンクを作成し、それをページ上のテキストに
    // 関連付ける簡単な方法を紹介します。
    public class LinkToURL
    {
        public int CreatePDF(Stream stream)
        {
            var doc = new GcPdfDocument();
            var page = doc.NewPage();
            var g = page.Graphics;

            // リンクを設定するテキストを描画します。
            var tf = new TextFormat() { Font = Common.Util.getFont(), FontSize = 14 };
            var tl = g.CreateTextLayout();
            tl.MarginAll = 72;
            tl.Append("このテキストには、Google へのリンクが関連付けられています。", tf);
            tl.PerformLayout(true);
            g.DrawTextLayout(tl, PointF.Empty);

            // 関連付けられたリンクをテキスト領域に追加します。
            page.Annotations.Add(new LinkAnnotation(tl.ContentRectangle, new ActionURI("https://www.google.com")));

            // PDF ドキュメントを保存します。
            doc.Save(stream);
            return doc.Pages.Count;
        }
    }
}
